@Echo off
Echo Erstellen eines Backups der ASV-Datenbank
Echo =========================================
Echo.

Rem Bitte hier Zielverzeichnis einstellen (ohne \ am Ende)
set ziel=C:\ASV\Sicherung

Rem Konfiguration
Rem Standardverzeichnisse fr pg_dump.exe unter Windows
Rem (Bitte ggf. anpassen, wenn Sie von der Standardinstallation 
Rem abgewichen sind.)

set pgdumpProgramm="C:\Program Files\PostgreSQL\9.2\bin\pg_dump.exe"
set PGPASSWORD=geheim

REM Ausgabeformat
set backup=asv_20%date:~8,2%%date:~3,2%%date:~0,2%.backup



IF Exist %ziel%/nul (
    GOTO speichern
) ELSE (
    Echo Das Zielverzeichnis '%ziel%' existiert nicht.
    Echo Es wurde NICHTS gespeichert.
    Echo.
    GOTO Ende
)

:speichern

IF Exist %pgdumpProgramm% (
  
    Echo Backup unter Win7:
    Echo %pgdump7% -U asv -Fc -f %ziel%\%backup%
         %pgdump7% -U asv -Fc -f %ziel%\%backup%
)

set PGPASSWORD=null
Echo.
Echo Backup-Vorgang abgeschlossen.
Echo.
Echo Der Name der Sicherungsdatei lautet:
Echo   %ziel%\%backup%
Echo.

:Ende

PAUSE